Subject: Re: bug#64842: 30.0.50; org-mode hook doesn't load as expected

From: Protonmail <[email-masked]>
Date: Tue, 25 Jul 2023 14:09:16 +0000

Thanks for you reply Eli. I think I figure out what’s going on. The `flyspell` also hooked with org-mode load failed by `failed to define function flyspell`. Then all other modes hooked in my org configuration don’t load.

Sorry for bothering. This issue can be closed.

Thanks

> On Jul 25, 2023, at 07:52, Eli Zaretskii <[email-masked]> wrote:
>
>> Date: Tue, 25 Jul 2023 01:37:12 +0000
>> From: Protonmail via "Bug reports for GNU Emacs,
>> the Swiss army knife of text editors" <[email-masked]>
>>
>> I add several modes hooks to org-mode via `use-package` and `straight.el`. However, it doesn't load
>> any of them as it did in several previous versions.
>>
>> Here is my configuration:
>>
>> ```elisp
>> (use-package org
>> ;;:straight (:type built-in)
>> :ensure org-plus-contrib
>> :hook
>> (
>> (org-mode . org-indent-mode)
>> (org-mode . visual-line-mode)
>> (org-mode . ejira-mode)
>> ))
>> ```
>>
>> Regardless of whether `:straight (:type built-in)` is configured or not, the modes that are being hooked
>> don't load.
>
> AFAICT, you are using :hook incorrectly. The "Hooks" node of the
> use-package manual explains how to use it correctly. In a nutshell,
> :hook is not for adding stuff to the hook of the package you are
> declaring with use-package.